xmltooling 3.0.4

Public Member Functions | List of all members
xmltooling::XercesJanitor< T > Class Template Reference

RAII wrapper for Xerces resources. More...

`#include <xmltooling/util/XMLHelper.h>`

## Public Member Functions
| XercesJanitor (T *resource)
| Constructor. More...
T * | get ()
| Returns resource held by this object. More...
T * | operator-> ()
| Returns resource held by this object. More...
T * | release ()
| Returns resource held by this object and releases it to the caller. More...

## Detailed Description

template<class T>
class xmltooling::XercesJanitor< T >

RAII wrapper for Xerces resources.

## Constructor & Destructor Documentation

## ◆ XercesJanitor()

template<class T >

xmltooling::XercesJanitor< T >::XercesJanitor | ( | T * | resource | ) |
| inline

Constructor.

Parameters

  resource | object to release when leaving scope

## Member Function Documentation

## ◆ get()

template<class T >

T * xmltooling::XercesJanitor< T >::get | ( |  | ) |
| inline

Returns resource held by this object.

Returns
  the resource held or nullptr

## ◆ operator->()

template<class T >

T * xmltooling::XercesJanitor< T >::operator-> | ( |  | ) |
| inline

Returns resource held by this object.

Returns
  the resource held or nullptr

## ◆ release()

template<class T >

T * xmltooling::XercesJanitor< T >::release | ( |  | ) |
| inline

Returns resource held by this object and releases it to the caller.

Returns
  the resource held or nullptr

The documentation for this class was generated from the following file:

- xmltooling/util/XMLHelper.h